/* ************************************************************************** */
/*                                         _____                              */
/*  Animation.hpp                         |  ___| _   ____   ___              */
/*  Project : C-Engine                    | |_	 | | |  __| / _ \             */
/*                                        |  _|	 | | | |=  |  __/             */
/*  By: Fife <wasabifife@gmail.com>       |_|	 |_| |_|    \___|  	          */
/*                                                                            */
/*                                                                            */
/* ************************************************************************** */

#ifndef CENGINE_ANIMATION_HPP
#define CENGINE_ANIMATION_HPP

#include "..\Rework\CEngine.hpp"

    class Animation
    {
        public:

            Animation();
            Animation(Sprite & v);
            Animation(Sprite * v , int nb , int nbd = 250 , bool vwaitatend = false , bool vwaittheend = false );//Constructeur

            void SetIt(int v);

            int GetSizeX();
            int GetSizeY();

            int GetBlitX();
            int GetBlitY();

            void DrawReverseAnim( int , int , int);
            void DrawAnim( int , int , int );

            bool WaitDelay();

        private:

            Sprite * TabSprite;

            int iterateur;
            int delay;  // En ms
            int time;
            int nb_image;

            bool waitatend;
            bool waittheend;
            bool isend;

    };

#endif
