/* ************************************************************************** */
/*                                         _____                              */
/*  RigidBody.hpp                         |  ___| _   ____   ___              */
/*  Project : C-Engine                    | |_	 | | |  __| / _ \             */
/*                                        |  _|	 | | | |=  |  __/             */
/*  By: Fife <wasabifife@gmail.com>       |_|	 |_| |_|    \___|  	          */
/*                                                                            */
/*                                                                            */
/* ************************************************************************** */

#ifndef CENGINE_RIGIDBODY_HPP
#define CENGINE_RIGIDBODY_HPP

#include "..\Rework\CEngine.hpp"

    class RigidBody
    {
        public:

            RigidBody(Object * Pointeur); //Constructeur

            void SetMass(float);
            void UseFixeBody( int w , int h);
            void UseFlexBody();

            void AppliedForce();

            int Move( int  x , int  y);
            int TryMove( int x , int  y);
            int CollisionDecor( int x , int y);
            void Affine(int vx , int vy);

            int GetWidht();
            int GetHeight();
            bool GetStat();

            Body * GetBody();

        private:

            Object * Conteneur;

            Body R_body;

            bool usefixebody;
            int widht;
            int height;
    };

#endif
