/* ************************************************************************** */
/*                                         _____                              */
/*  Script.hpp                            |  ___| _   ____   ___              */
/*  Project : C-Engine                    | |_	 | | |  __| / _ \             */
/*                                        |  _|	 | | | |=  |  __/             */
/*  By: Fife <wasabifife@gmail.com>       |_|	 |_| |_|    \___|  	          */
/*                                                                            */
/*                                                                            */
/* ************************************************************************** */

#ifndef CENGINE_SCRIPT_HPP
#define CENGINE_SCRIPT_HPP

#include "..\Rework\CEngine.hpp"

    class Script
    {
        public:

            Script(); //Constructeur

            virtual void Update();
            virtual void UpdateEverySecond();
            virtual void Start();

            void AffectObject(Object * OV);
            void AffectEngine(Engine * EV);

            Engine * GetEngine();
            Object * GetObject();

        private:

            Object * OConteneur;
            Engine * EConteneur;

    };

#endif
