/* ************************************************************************** */
/*                                         _____                              */
/*  Sprite.hpp                            |  ___| _   ____   ___              */
/*  Project : C-Engine                    | |_	 | | |  __| / _ \             */
/*                                        |  _|	 | | | |=  |  __/             */
/*  By: Fife <wasabifife@gmail.com>       |_|	 |_| |_|    \___|  	          */
/*                                                                            */
/*                                                                            */
/* ************************************************************************** */

#ifndef CENGINE_SPRITE_HPP
#define CENGINE_SPRITE_HPP

#include "..\Rework\CEngine.hpp"

    class Sprite
    {
        public:

            Sprite();
            Sprite(const unsigned char * v1 , int sizex , int sizey , int bx = 0 , int by = 0 );
            Sprite(const unsigned char * v1 , const unsigned char * v2 , int sizex , int sizey , int bx = 0 , int by = 0 ); //Constructeur

            void DrawReverseSprite( int x , int y , int d );
            void DrawSprite( int x , int y , int d );

            void CreateReverse( int brx = 0 , int bry = 0 );

            int GetSizeY();
            int GetSizeX();

            int GetBlitX();
            int GetBlitY();

        private:

            const unsigned char * Beta;
            const unsigned char * Alpha;

            unsigned char * ReverseBeta;
            unsigned char * ReverseAlpha;

            int size_x;
            int size_y;

            int b_x;
            int b_y;

            int br_x;
            int br_y;

    };

#endif
