/* ************************************************************************** */
/*                                         _____                              */
/*  Transform.hpp                         |  ___| _   ____   ___              */
/*  Project : C-Engine                    | |_	 | | |  __| / _ \             */
/*                                        |  _|	 | | | |=  |  __/             */
/*  By: Fife <wasabifife@gmail.com>       |_|	 |_| |_|    \___|  	          */
/*                                                                            */
/*                                                                            */
/* ************************************************************************** */

#ifndef CENGINE_TRANSFORM_HPP
#define CENGINE_TRANSFORM_HPP

#include "..\Rework\CEngine.hpp"

    class Transform
    {
        public:

            Transform(Object * Pointeur); //Constructeur

            double GetX();
            double GetY();

            double GetRelativeX();
            double GetRelativeY();

            void SetX(double v);
            void SetY(double v);
            void SetXY(double vx ,double vy);

            void SetRelativeXY(double vx ,double vy);

        private:

            Object * Conteneur;

            Vec2 positionabsolu; // en pixel
            Vec2 positionrelative; // en pixel
    };

#endif
