/* ************************************************************************** */
/*                                         _____                              */
/*  Transform.cpp                         |  ___| _   ____   ___              */
/*  Project : C-Engine                    | |_	 | | |  __| / _ \             */
/*                                        |  _|	 | | | |=  |  __/             */
/*  By: Fife <wasabifife@gmail.com>       |_|	 |_| |_|    \___|  	          */
/*                                                                            */
/*                                                                            */
/* ************************************************************************** */

#include "..\Rework\include\Components\Transform.hpp"

    Transform::Transform(Object * Pointeur)
    {
        Conteneur = Pointeur;

        positionabsolu.x = 0;
        positionabsolu.y = 0;

        positionrelative.x = 0;
        positionrelative.y = 0;
    }

    double Transform::GetX()
    {
        return positionabsolu.x;
    }

    double Transform::GetY()
    {
        return positionabsolu.y;
    }

    double Transform::GetRelativeX()
    {
        return positionrelative.x;
    }

    double Transform::GetRelativeY()
    {
        return positionrelative.y;
    }

    void Transform::SetX(double v)
    {
        positionabsolu.x = v;
    }

    void Transform::SetY(double v)
    {
        positionabsolu.y = v;
    }

    void Transform::SetXY(double vx ,double vy)
    {
        positionabsolu.x = vx;
        positionabsolu.y = vy;
    }

    void Transform::SetRelativeXY(double vx ,double vy)
    {
        positionrelative.x = vx;
        positionrelative.y = vy;
    }


