/* ************************************************************************** */
/*                                         _____                              */
/*  Render.hpp                            |  ___| _   ____   ___              */
/*  Project : C-Engine                    | |_	 | | |  __| / _ \             */
/*                                        |  _|	 | | | |=  |  __/             */
/*  By: Fife <wasabifife@gmail.com>       |_|	 |_| |_|    \___|  	          */
/*                                                                            */
/*                                                                            */
/* ************************************************************************** */

#ifndef CENGINE_RENDER_HPP
#define CENGINE_RENDER_HPP

#include "..\Rework\CEngine.hpp"

    class Render
    {
        public:

            Render(Object * Pointeur); //Constructeur
            ~Render();

            void SetRender(Animation * v, int nb);
            void SetRender(Animation & v);

            void CopieRender(Animation * v, int nb);
            void CopieRender(Animation & v);

            void SetIt( int v);
            int GetIt();

            void ReverseRender(bool);
            bool GetReverse();

            void SetDirection(int);
            int GetDirection();

            int GetSizeY();
            int GetSizeX();

            int GetBlitX();
            int GetBlitY();

            void DrawObject();


        private:

            Object * Conteneur;
            Animation * TabAnim;

            int nb_anim;
            int iterateur;
            int time;

            int direction;
            bool reverse;

            bool copie;
    };

#endif
